"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.processing = processing;
exports.writing = writing;
exports.info = info;
exports.warn = warn;
exports.error = error;
function processing(msg, ...optionalParams) {
    console.log("\x1b[34m%s\x1b[0m", "[PROCESSING]", msg, optionalParams.length > 0 ? optionalParams : "");
}
function writing(msg, ...optionalParams) {
    console.log("\x1b[32m%s\x1b[0m", "[WRITING]", msg, optionalParams.length > 0 ? optionalParams : "");
}
function info(msg, ...optionalParams) {
    console.log("\x1b[36m%s\x1b[0m", "[INFO]", msg, optionalParams.length > 0 ? optionalParams : "");
}
function warn(msg, ...optionalParams) {
    console.log("\x1b[33m%s\x1b[0m", "[WARN]", msg, optionalParams.length > 0 ? optionalParams : "");
}
function error(msg, ...optionalParams) {
    console.log("\x1b[41m%s\x1b[0m", "[ERROR]", msg, optionalParams.length > 0 ? optionalParams : "");
    process.exit(1);
}
exports.default = {
    process: processing,
    writing,
    info,
    warn,
    error,
};
